﻿html {
    width: 100%;
    height: 100%;
    min-height: 100%;
    padding: 0;
    top: 0;
    margin: 0;
}

body {
    width: 100%;
    padding: 0;
    top: 0;
    margin: 0;
    height: 100%;
    min-height: 100%;
    -moz-transition: background 0.5s ease-in-out;
    -o-transition: background 0.5s ease-in-out;
    -webkit-transition: background 0.5s ease-in-out;
    transition: background 0.5s ease-in-out;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
    color: #ffffff;
}

a,
input,
label {
    cursor: pointer;
}

    a.btn-link {
        cursor: pointer;
        color: #ffffff;
        font-weight: normal;
    }

        a.btn-link:hover,
        a.btn-link:focus,
        a.btn-link:active,
        a.btn-link.active,
        a.btn-link.disabled,
        a.btn-link[disabled] {
            color: #ffffff;
        }

        a.btn-link:hover {
            color: #ffffff;
        }

.btn-pwd {
    padding: 0;
}

.image-bg {
    display: none;
}

.form-signin {
    /*background: url(cssImages/background.png) repeat-x;*/
    /*background-color: transparent;*/
    background-color: rgba(0, 0, 0, 0.45);
    margin: 0 auto;
    float: none;
    max-width: 450px;
    padding: 15px;
    margin: 30px auto;
    z-index: 1000;
    /*border-top-right-radius: 5px;
    border-top-left-radius: 5px;*/
    border-radius: 5px;
}

    .form-signin .logo {
        margin: 0 auto;
        float: none;
    }

    .form-signin .form-signin-heading,
    .form-signin .checkbox {
        margin-bottom: 10px;
    }

    .form-signin .checkbox {
        font-weight: normal;
        margin-left: 20px;
    }

    .form-signin .form-control {
        position: relative;
        height: auto;
        -webkit-box-sizing: border-box;
        -moz-box-sizing: border-box;
        box-sizing: border-box;
        padding: 10px;
        font-size: 16px;
    }

        .form-signin .form-control:focus {
            z-index: 2;
        }

    .form-signin input[type="text"] {
        margin-bottom: -1px;
        border-bottom-right-radius: 0;
        border-bottom-left-radius: 0;
    }

    .form-signin input[type="password"] {
        margin-bottom: 10px;
        border-top-left-radius: 0;
        border-top-right-radius: 0;
    }

    .form-signin div.validation-summary-valid ul {
        list-style: none !important;
    }

        .form-signin div.validation-summary-valid ul li {
            display: block;
            content: '';
        }

    .form-signin div.validation-summary-errors {
        background-color: rgba(255, 255, 255, 0.8);
        padding: 10px;
        margin: 10px auto;
        -moz-border-radius: 3px;
        -webkit-border-radius: 3px;
        border-radius: 3px;
        width: 100%;
        -ms-text-overflow: ellipsis;
        -o-text-overflow: ellipsis;
        text-overflow: ellipsis;
        overflow: hidden;
    }

        .form-signin div.validation-summary-errors ul {
            list-style: none;
            margin: 0;
            padding: 0;
        }

            .form-signin div.validation-summary-errors ul li {
                color: #d41c19 !important;
                display: block !important;
            }

    .form-signin .link-pwd {
        margin-top: 10px;
    }

        .form-signin .link-pwd a {
            cursor: pointer;
        }

.modal-title {
    color: black;
}

.modal {
    color: gray;
}

.image-bg {
    display: none;
}
